<script lang="ts" context="module">
	export type TimeT = {
		secs_since_epoch: number;
		nanos_since_epoch: number;
	};
</script>

<script lang="ts">
	export let time: TimeT;

	$: d = new Date(time.secs_since_epoch * 1000);
</script>

<span>
	{d.toLocaleTimeString()}
</span>
